# Query Transaction Detail information

### **Request** URI <a href="#payin-by-creditcard" id="payin-by-creditcard"></a>

`POST` `/issuing/card/query-card-transaction-detail`

### **Request Body**

**Refer to :** [**common**](/issuing-card-api/common.md)

**Biz\_data :**

| Name              | Type    | Description                                                                   |
| ----------------- | ------- | ----------------------------------------------------------------------------- |
| transaction\_id   | string  | Transaction ID                                                                |
| order\_no         | string  | Order number                                                                  |
| transaction\_type | integer | [Transaction Type](/issuing-card-api/data/dictionary-item/transactiontype.md) |

{% hint style="info" %} <mark style="color:red;">Choose one of  transaction\_id and \[order\_no 、transaction\_type]</mark>
{% endhint %}

### **Request** Example <a href="#example" id="example"></a>

```
{
    "app_id": "00000000000000000",
    "partner_id": "00000000000000000",
    "request_id": "626b6f47-4e2B-d11e-AFdc-eAbA78Ad",
    "timestamp": "2025-04-07 13:56:54",
    "format": "JSON",
    "version": "2.0",
    "sign_type": "RSA",
    "biz_data": {
        "transaction_id": "100000076795"
    },
    "random_key": "<generated_key>"
}
// The biz_data in this example needs to be encrypted!
```

### Response <a href="#example" id="example"></a>

<table><thead><tr><th width="226.09765625">Name</th><th width="180.59375">Type</th><th>Description</th></tr></thead><tbody><tr><td>order_no</td><td>string</td><td>Order Number</td></tr><tr><td>card_token</td><td>string</td><td>Card Token</td></tr><tr><td>transaction_id</td><td>string</td><td>transaction ID</td></tr><tr><td>transaction_type</td><td>integer</td><td>Transaction Type</td></tr><tr><td>transaction_status</td><td>integer</td><td>Transaction Status</td></tr><tr><td>account_num</td><td>string</td><td>Account Number</td></tr><tr><td>account_name</td><td>string</td><td>Account Name</td></tr><tr><td>bill_currency</td><td>string</td><td>Bill Currency</td></tr><tr><td>bill_amount</td><td>string</td><td>Bill Amount</td></tr><tr><td>bill_fee</td><td>string</td><td>Bill Fee</td></tr><tr><td>balance</td><td>string</td><td>Account Balance</td></tr><tr><td>balance_change</td><td>string</td><td>Balance Change</td></tr><tr><td>transaction_amount</td><td>string</td><td>Transaction Amount</td></tr><tr><td>transaction_currency</td><td>string</td><td>Transaction Currency</td></tr><tr><td>exchange_rate</td><td>string</td><td>Exchange Rate</td></tr><tr><td>reference</td><td>string</td><td>Remark</td></tr><tr><td>transaction_desc</td><td>string</td><td>Transaction Description</td></tr><tr><td>related_transaction_id</td><td>string</td><td>Related Transaction ID</td></tr><tr><td>merchant_info</td><td>string</td><td>Merchant Information</td></tr><tr><td>business_date</td><td>string</td><td>FORMAT:yyyy-MM-dd</td></tr><tr><td>create_time</td><td>string</td><td>Create Time.Format: yyyy-MM-dd HH:mm:ss</td></tr></tbody></table>

{% tabs %}
{% tab title="200:submit successfully" %}

```
{
    "code": "10000",
    "msg": "Success",
    "total": 1,
    "random_key": "<random key used for decryption>",
    "sign_type": "RSA",
    "app_id": "00000000000000000",
    "data": {
        "transaction_id": "100000076795",
        "order_no": "fE2E44c2-A4cF-C4Fc-40d6-Ee493262",
        "card_token": "104190000004",
        "transaction_type": 121,
        "transaction_status": 1,
        "account_num": "104190******0004",
        "account_name": "Test A",
        "bill_currency": "USD",
        "bill_amount": "-1.23",
        "bill_fee": "0.00",
        "balance_change": "-1.23",
        "balance": "100898337.06",
        "transaction_amount": "-1.23",
        "transaction_currency": "USD",
        "exchange_rate": "1.0000",
        "reference": "remark",
        "transaction_desc": "remark",
        "business_date": "2025-04-07",
        "merchant_info": null,
        "related_transaction_id": null,
        "create_time": "2025-04-07 05:56:53"
    }
}
// The data in this example has already been decrypted.
```

{% endtab %}

{% tab title="400: invalid-signature" %}

```
{
    "code": "40002",
    "msg": "Business Failed",
    "sub_code": "invalid-signature",
    "sub_msg": "invalid signature"
}
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.pagsmile.com/issuing-card-api/business/card/query-transaction-detail-information.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
